Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Options
Go to last post Go to first unread
Offline Andrey Ivashov  
#1 Posted : 02 September 2016 15:09:55(UTC)
Andrey Ivashov


Rank: Administration

Groups: Developers, Registered, Knovel Developers, Administrators, Advanced Member
Joined: 11/07/2008(UTC)
Posts: 1,286
Man
Russian Federation

Was thanked: 1415 time(s) in 482 post(s)
Release Candidate: SMath Studio 0.98.6089 available


Latest changes (against SMath Studio 0.98.6083)

  • Fixed handling of directories in plug-ins archives when plug-in installed from Extensions Manager;
  • [SS-2345]: Fixed toolbox invisible items;
  • Fixed white background while buttons contains drawings;
  • [SS-219]: Required parenthesis automatically added in some cases for el(...) function;
  • [SV-2373], [SV-2377]: Wrong handling of encrypted areas by Viewer and related crashes are fixed;
  • [SV-2376]: Case-sensitive function listing restored in Insert Function dialog;
  • Back-compatibility issue fixed: it was impossible to work with data loaded by rfile(...);
  • It is possible now to paste one-line text into MathRegion.


Download

thanks 9 users thanked Andrey Ivashov for this useful post.
on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 02/09/2016(UTC),  on 03/09/2016(UTC),  on 03/09/2016(UTC)
Offline mkraska  
#2 Posted : 03 September 2016 13:23:17(UTC)
mkraska


Rank: Advanced Member

Groups: Registered
Joined: 15/04/2012(UTC)
Posts: 1,439
Germany

Was thanked: 759 time(s) in 486 post(s)
Section Math ODE intro.sm (27kb) downloaded 54 time(s).

If I try to open the attached document, the plugin dependency dialog complains about the missing ODE Solver. The requested version in the dialog is older than the one actually installed. It seems that the message can be ignored safely.

Not sure if that is a feature...

ode.PNG

Martin Kraska

Pre-configured portable distribution of SMath Studio: https://en.smath.info/wi...th%20with%20Plugins.ashx
Offline Andrey Ivashov  
#3 Posted : 05 September 2016 17:17:50(UTC)
Andrey Ivashov


Rank: Administration

Groups: Developers, Registered, Knovel Developers, Administrators, Advanced Member
Joined: 11/07/2008(UTC)
Posts: 1,286
Man
Russian Federation

Was thanked: 1415 time(s) in 482 post(s)
Hello.

Originally Posted by: mkraska Go to Quoted Post
The requested version in the dialog is older than the one actually installed. It seems that the message can be ignored safely.


Not sure why, but on 17 August 2015 uni Offline changed version of ODESolvers plug-in from 1.0.* to 0.1.*.
This is not a good practice because in software development it is always supposed that newer build means increased version.

Because of that challenge SMath Studio cannot understand what happened with this plug-in and displays an error dialog to show that something unusual happens.

This also means that those who installed ODESolvers plug-in before 17 August 2015 will never see any updates of this plug-in and will always use outdated version. That is why I think SMath Studio message you mentioned is a good thing. I suggest to delete installed version of ODESolvers plug-in (using Extensions Manager - select plug-in and press uninstall button at the bottom of the dialog) and then install it again.

Best regards, Andrey Ivashov.

Edited by user 05 September 2016 17:23:09(UTC)  | Reason: Not specified

thanks 1 user thanked Andrey Ivashov for this useful post.
on 05/09/2016(UTC)
Offline uni  
#4 Posted : 05 September 2016 20:03:43(UTC)
uni


Rank: Advanced Member

Groups: Registered, Advanced Member
Joined: 10/11/2010(UTC)
Posts: 829
Man
Russian Federation

Was thanked: 701 time(s) in 416 post(s)
My mistake, sorry for this. I forgot why I did it.
Russia forever!
Viacheslav N. Mezentsev
💰 You can support me for plugins development: https://paypal.me/viacheslavmezentsev
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.